function [depths,xs,gl_loc] = flux_only_model_s1(av_spacing,tidal_heights,times,angle,mean_flux,xs)

deposit_rate = mean_flux;     % set rate of till delivery to the grounding line, controls the mean rib height
v = av_spacing/1;       % 1 tide per day sets average retreat speed in m/day
    
depths = zeros(size(xs)); % set initial bed to smooth
    
gl_loc = tidal_heights/angle+v*times; % add retreat component to grounding line migration

for i = 2:length(times)
    
    pos_1 = min(gl_loc(i-1:i));
    pos_2 = max(gl_loc(i-1:i));
    dep = find(xs<pos_2 & xs>pos_1); % find the area the grounding line has moved over in one timestep
    
    if isempty(dep)
        dep = find(abs(xs-gl_loc(i))==min(abs(xs-gl_loc(i))));
    end
    
    depths(dep) = depths(dep) + deposit_rate/length(dep); % deposit a fixed volume of sediment here

end
depths = smooth(depths);
xs = xs(400:3400); % crop out spin-up
depths = depths(400:3400);

end


